DevicesController_register
PUT
/api/notifications/devices
const url = 'https://api.streams-ai.com/api/notifications/devices';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"installationId":"example","appId":"example","platform":"ios","token":"example","environment":"sandbox","appVersion":"example","appBuild":"example","osVersion":"example","deviceModel":"example","formFactor":"phone","appVariant":"debug","locale":"example","timeZone":"example","capabilities":["example"],"systemAuthorization":"authorized","notificationSettings":{"additionalProperty":"example"},"backgroundRefreshStatus":"available","pushEnabled":true,"transport":"fcm","transportMetadata":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.streams-ai.com/api/notifications/devices \ --header 'Content-Type: application/json' \ --data '{ "installationId": "example", "appId": "example", "platform": "ios", "token": "example", "environment": "sandbox", "appVersion": "example", "appBuild": "example", "osVersion": "example", "deviceModel": "example", "formFactor": "phone", "appVariant": "debug", "locale": "example", "timeZone": "example", "capabilities": [ "example" ], "systemAuthorization": "authorized", "notificationSettings": { "additionalProperty": "example" }, "backgroundRefreshStatus": "available", "pushEnabled": true, "transport": "fcm", "transportMetadata": {} }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
One of:
object
installationId
required
string
appId
required
string
platform
required
string
token
required
string
environment
required
string
appVersion
string
appBuild
string
osVersion
string
deviceModel
string
formFactor
string
appVariant
string
locale
string
timeZone
string
capabilities
Array<string>
systemAuthorization
string
backgroundRefreshStatus
string
pushEnabled
boolean
transport
required
string
transportMetadata